gksu is being replaced by gksu PolicyKit, please take a look at http://live.gnome.org/gksu.

GKSu: an authorization library


GKSu is a library that provides a Gtk+ frontend to su and sudo. It supports login shells and preserving environment when acting as a su frontend. It is useful to menu items or other graphical programs that need to ask a user's password to run another program as another user.


Gksu's developer toolkit 2.0 has been released as stable! The new stable version no longer provides a separate libgksuui. That library is now used as an internal library in libgksu only. Now, on to the links:

The old versions of gksu development kit are libgksu1.2 and libgksuui1.0. Check the download box to know how to get them. Here are important links for them:


While the Savannah's download area is still down I will be uploading the new versions to my Debian area.

GKsu is split in two components: an authorization library with a GTK+ UI, and an application. You can find the two more recent stable releases below.

If you want to follow the development, you can grab it from the subversion repository hosted in Alioth:

$ svn co svn://svn.debian.org/svn/gksu

The older versions are also available.


libgksuui uses the Gtk+2 library to show the dialog asking for the target user's password when needed. The application using the library is able to modify the message, the icon and the title of the window GKSu will use.


If you want to have access to the services provided by Savannah to the GKSu projet, check out the Project Page.

You can report Bugs and subscribe to the Mailing List to discuss about GKSu.


GKSu's author is a Debian Developer and maintains GKSu's packages for Debian. You can check out the Package's page, the package's entry on the PTS (the Debian Package Tracking System) or look at the bugs reported to the Debian BTS.
Valid XHTML 1.0! Valid CSS!